---
deprecations:
- feature_name: "NFS for Git repository storage deprecated"
  due: May 22, 2021
  reporter: mjwood
  description: |
    With the general availability of [Gitaly Cluster](https://docs.gitlab.com/ee/administration/gitaly/praefect.html) 
    ([introduced in GitaLab 13.0](https://about.gitlab.com/releases/2020/05/22/gitlab-13-0-released/)), we are deprecating
    support for NFS for Git repositories in GitLab 14.0.

    We want to help you avoid purchasing expensive NFS appliances
    they won't need, so invite customers currently using NFS for Git repositories to
    begin planning their migration.

    To see our overall status, please review our [Gitaly Cluster roadmap](https://gitlab.com/groups/gitlab-org/-/epics/1489).
